IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/40
Addresses2^88
/64 networks16,777,216
- Network
2c19:dd:d600::/40- First address
2c19:dd:d600::- Last address
2c19:dd:d6ff:ffff:ffff:ffff:ffff:ffff- Addresses
- 309,485,009,821,345,068,724,781,056 (2^88)
- /64 networks (LANs)
- 16,777,216
- Full form
2c19:00dd:d600:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
6.d.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:d600::/40 makes 256 subnets of /48.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:d600::/48 | 2c19:dd:d600:ffff:ffff:ffff:ffff:ffff |
| 2 | 2c19:dd:d601::/48 | 2c19:dd:d601:ffff:ffff:ffff:ffff:ffff |
| 3 | 2c19:dd:d602::/48 | 2c19:dd:d602:ffff:ffff:ffff:ffff:ffff |
| 4 | 2c19:dd:d603::/48 | 2c19:dd:d603:ffff:ffff:ffff:ffff:ffff |
| 5 | 2c19:dd:d604::/48 | 2c19:dd:d604:ffff:ffff:ffff:ffff:ffff |
| 6 | 2c19:dd:d605::/48 | 2c19:dd:d605:ffff:ffff:ffff:ffff:ffff |
| 7 | 2c19:dd:d606::/48 | 2c19:dd:d606:ffff:ffff:ffff:ffff:ffff |
| 8 | 2c19:dd:d607::/48 | 2c19:dd:d607:ffff:ffff:ffff:ffff:ffff |
| 9 | 2c19:dd:d608::/48 | 2c19:dd:d608:ffff:ffff:ffff:ffff:ffff |
| 10 | 2c19:dd:d609::/48 | 2c19:dd:d609:ffff:ffff:ffff:ffff:ffff |
| 11 | 2c19:dd:d60a::/48 | 2c19:dd:d60a:ffff:ffff:ffff:ffff:ffff |
| 12 | 2c19:dd:d60b::/48 | 2c19:dd:d60b:ffff:ffff:ffff:ffff:ffff |
| 13 | 2c19:dd:d60c::/48 | 2c19:dd:d60c:ffff:ffff:ffff:ffff:ffff |
| 14 | 2c19:dd:d60d::/48 | 2c19:dd:d60d:ffff:ffff:ffff:ffff:ffff |
| 15 | 2c19:dd:d60e::/48 | 2c19:dd:d60e:ffff:ffff:ffff:ffff:ffff |
| 16 | 2c19:dd:d60f::/48 | 2c19:dd:d60f:ffff:ffff:ffff:ffff:ffff |
| 17 | 2c19:dd:d610::/48 | 2c19:dd:d610:ffff:ffff:ffff:ffff:ffff |
| 18 | 2c19:dd:d611::/48 | 2c19:dd:d611:ffff:ffff:ffff:ffff:ffff |
| 19 | 2c19:dd:d612::/48 | 2c19:dd:d612:ffff:ffff:ffff:ffff:ffff |
| 20 | 2c19:dd:d613::/48 | 2c19:dd:d613:ffff:ffff:ffff:ffff:ffff |
| 21 | 2c19:dd:d614::/48 | 2c19:dd:d614:ffff:ffff:ffff:ffff:ffff |
| 22 | 2c19:dd:d615::/48 | 2c19:dd:d615:ffff:ffff:ffff:ffff:ffff |
| 23 | 2c19:dd:d616::/48 | 2c19:dd:d616:ffff:ffff:ffff:ffff:ffff |
| 24 | 2c19:dd:d617::/48 | 2c19:dd:d617:ffff:ffff:ffff:ffff:ffff |
| 25 | 2c19:dd:d618::/48 | 2c19:dd:d618:ffff:ffff:ffff:ffff:ffff |
| 26 | 2c19:dd:d619::/48 | 2c19:dd:d619:ffff:ffff:ffff:ffff:ffff |
| 27 | 2c19:dd:d61a::/48 | 2c19:dd:d61a:ffff:ffff:ffff:ffff:ffff |
| 28 | 2c19:dd:d61b::/48 | 2c19:dd:d61b:ffff:ffff:ffff:ffff:ffff |
| 29 | 2c19:dd:d61c::/48 | 2c19:dd:d61c:ffff:ffff:ffff:ffff:ffff |
| 30 | 2c19:dd:d61d::/48 | 2c19:dd:d61d:ffff:ffff:ffff:ffff:ffff |
| 31 | 2c19:dd:d61e::/48 | 2c19:dd:d61e:ffff:ffff:ffff:ffff:ffff |
| 32 | 2c19:dd:d61f::/48 | 2c19:dd:d61f:ffff:ffff:ffff:ffff:ffff |
| 33 | 2c19:dd:d620::/48 | 2c19:dd:d620:ffff:ffff:ffff:ffff:ffff |
| 34 | 2c19:dd:d621::/48 | 2c19:dd:d621:ffff:ffff:ffff:ffff:ffff |
| 35 | 2c19:dd:d622::/48 | 2c19:dd:d622:ffff:ffff:ffff:ffff:ffff |
| 36 | 2c19:dd:d623::/48 | 2c19:dd:d623:ffff:ffff:ffff:ffff:ffff |
| 37 | 2c19:dd:d624::/48 | 2c19:dd:d624:ffff:ffff:ffff:ffff:ffff |
| 38 | 2c19:dd:d625::/48 | 2c19:dd:d625:ffff:ffff:ffff:ffff:ffff |
| 39 | 2c19:dd:d626::/48 | 2c19:dd:d626:ffff:ffff:ffff:ffff:ffff |
| 40 | 2c19:dd:d627::/48 | 2c19:dd:d627:ffff:ffff:ffff:ffff:ffff |
| 41 | 2c19:dd:d628::/48 | 2c19:dd:d628:ffff:ffff:ffff:ffff:ffff |
| 42 | 2c19:dd:d629::/48 | 2c19:dd:d629:ffff:ffff:ffff:ffff:ffff |
| 43 | 2c19:dd:d62a::/48 | 2c19:dd:d62a:ffff:ffff:ffff:ffff:ffff |
| 44 | 2c19:dd:d62b::/48 | 2c19:dd:d62b:ffff:ffff:ffff:ffff:ffff |
| 45 | 2c19:dd:d62c::/48 | 2c19:dd:d62c:ffff:ffff:ffff:ffff:ffff |
| 46 | 2c19:dd:d62d::/48 | 2c19:dd:d62d:ffff:ffff:ffff:ffff:ffff |
| 47 | 2c19:dd:d62e::/48 | 2c19:dd:d62e:ffff:ffff:ffff:ffff:ffff |
| 48 | 2c19:dd:d62f::/48 | 2c19:dd:d62f:ffff:ffff:ffff:ffff:ffff |
| 49 | 2c19:dd:d630::/48 | 2c19:dd:d630:ffff:ffff:ffff:ffff:ffff |
| 50 | 2c19:dd:d631::/48 | 2c19:dd:d631:ffff:ffff:ffff:ffff:ffff |
| 51 | 2c19:dd:d632::/48 | 2c19:dd:d632:ffff:ffff:ffff:ffff:ffff |
| 52 | 2c19:dd:d633::/48 | 2c19:dd:d633:ffff:ffff:ffff:ffff:ffff |
| 53 | 2c19:dd:d634::/48 | 2c19:dd:d634:ffff:ffff:ffff:ffff:ffff |
| 54 | 2c19:dd:d635::/48 | 2c19:dd:d635:ffff:ffff:ffff:ffff:ffff |
| 55 | 2c19:dd:d636::/48 | 2c19:dd:d636:ffff:ffff:ffff:ffff:ffff |
| 56 | 2c19:dd:d637::/48 | 2c19:dd:d637:ffff:ffff:ffff:ffff:ffff |
| 57 | 2c19:dd:d638::/48 | 2c19:dd:d638:ffff:ffff:ffff:ffff:ffff |
| 58 | 2c19:dd:d639::/48 | 2c19:dd:d639:ffff:ffff:ffff:ffff:ffff |
| 59 | 2c19:dd:d63a::/48 | 2c19:dd:d63a:ffff:ffff:ffff:ffff:ffff |
| 60 | 2c19:dd:d63b::/48 | 2c19:dd:d63b:ffff:ffff:ffff:ffff:ffff |
| 61 | 2c19:dd:d63c::/48 | 2c19:dd:d63c:ffff:ffff:ffff:ffff:ffff |
| 62 | 2c19:dd:d63d::/48 | 2c19:dd:d63d:ffff:ffff:ffff:ffff:ffff |
| 63 | 2c19:dd:d63e::/48 | 2c19:dd:d63e:ffff:ffff:ffff:ffff:ffff |
| 64 | 2c19:dd:d63f::/48 | 2c19:dd:d63f:ffff:ffff:ffff:ffff:ffff |
| 65 | 2c19:dd:d640::/48 | 2c19:dd:d640:ffff:ffff:ffff:ffff:ffff |
| 66 | 2c19:dd:d641::/48 | 2c19:dd:d641:ffff:ffff:ffff:ffff:ffff |
| 67 | 2c19:dd:d642::/48 | 2c19:dd:d642:ffff:ffff:ffff:ffff:ffff |
| 68 | 2c19:dd:d643::/48 | 2c19:dd:d643:ffff:ffff:ffff:ffff:ffff |
| 69 | 2c19:dd:d644::/48 | 2c19:dd:d644:ffff:ffff:ffff:ffff:ffff |
| 70 | 2c19:dd:d645::/48 | 2c19:dd:d645:ffff:ffff:ffff:ffff:ffff |
| 71 | 2c19:dd:d646::/48 | 2c19:dd:d646:ffff:ffff:ffff:ffff:ffff |
| 72 | 2c19:dd:d647::/48 | 2c19:dd:d647:ffff:ffff:ffff:ffff:ffff |
| 73 | 2c19:dd:d648::/48 | 2c19:dd:d648:ffff:ffff:ffff:ffff:ffff |
| 74 | 2c19:dd:d649::/48 | 2c19:dd:d649:ffff:ffff:ffff:ffff:ffff |
| 75 | 2c19:dd:d64a::/48 | 2c19:dd:d64a:ffff:ffff:ffff:ffff:ffff |
| 76 | 2c19:dd:d64b::/48 | 2c19:dd:d64b:ffff:ffff:ffff:ffff:ffff |
| 77 | 2c19:dd:d64c::/48 | 2c19:dd:d64c:ffff:ffff:ffff:ffff:ffff |
| 78 | 2c19:dd:d64d::/48 | 2c19:dd:d64d:ffff:ffff:ffff:ffff:ffff |
| 79 | 2c19:dd:d64e::/48 | 2c19:dd:d64e:ffff:ffff:ffff:ffff:ffff |
| 80 | 2c19:dd:d64f::/48 | 2c19:dd:d64f:ffff:ffff:ffff:ffff:ffff |
| 81 | 2c19:dd:d650::/48 | 2c19:dd:d650:ffff:ffff:ffff:ffff:ffff |
| 82 | 2c19:dd:d651::/48 | 2c19:dd:d651:ffff:ffff:ffff:ffff:ffff |
| 83 | 2c19:dd:d652::/48 | 2c19:dd:d652:ffff:ffff:ffff:ffff:ffff |
| 84 | 2c19:dd:d653::/48 | 2c19:dd:d653:ffff:ffff:ffff:ffff:ffff |
| 85 | 2c19:dd:d654::/48 | 2c19:dd:d654:ffff:ffff:ffff:ffff:ffff |
| 86 | 2c19:dd:d655::/48 | 2c19:dd:d655:ffff:ffff:ffff:ffff:ffff |
| 87 | 2c19:dd:d656::/48 | 2c19:dd:d656:ffff:ffff:ffff:ffff:ffff |
| 88 | 2c19:dd:d657::/48 | 2c19:dd:d657:ffff:ffff:ffff:ffff:ffff |
| 89 | 2c19:dd:d658::/48 | 2c19:dd:d658:ffff:ffff:ffff:ffff:ffff |
| 90 | 2c19:dd:d659::/48 | 2c19:dd:d659:ffff:ffff:ffff:ffff:ffff |
| 91 | 2c19:dd:d65a::/48 | 2c19:dd:d65a:ffff:ffff:ffff:ffff:ffff |
| 92 | 2c19:dd:d65b::/48 | 2c19:dd:d65b:ffff:ffff:ffff:ffff:ffff |
| 93 | 2c19:dd:d65c::/48 | 2c19:dd:d65c:ffff:ffff:ffff:ffff:ffff |
| 94 | 2c19:dd:d65d::/48 | 2c19:dd:d65d:ffff:ffff:ffff:ffff:ffff |
| 95 | 2c19:dd:d65e::/48 | 2c19:dd:d65e:ffff:ffff:ffff:ffff:ffff |
| 96 | 2c19:dd:d65f::/48 | 2c19:dd:d65f:ffff:ffff:ffff:ffff:ffff |
| 97 | 2c19:dd:d660::/48 | 2c19:dd:d660:ffff:ffff:ffff:ffff:ffff |
| 98 | 2c19:dd:d661::/48 | 2c19:dd:d661:ffff:ffff:ffff:ffff:ffff |
| 99 | 2c19:dd:d662::/48 | 2c19:dd:d662:ffff:ffff:ffff:ffff:ffff |
| 100 | 2c19:dd:d663::/48 | 2c19:dd:d663:ffff:ffff:ffff:ffff:ffff |
| 101 | 2c19:dd:d664::/48 | 2c19:dd:d664:ffff:ffff:ffff:ffff:ffff |
| 102 | 2c19:dd:d665::/48 | 2c19:dd:d665:ffff:ffff:ffff:ffff:ffff |
| 103 | 2c19:dd:d666::/48 | 2c19:dd:d666:ffff:ffff:ffff:ffff:ffff |
| 104 | 2c19:dd:d667::/48 | 2c19:dd:d667:ffff:ffff:ffff:ffff:ffff |
| 105 | 2c19:dd:d668::/48 | 2c19:dd:d668:ffff:ffff:ffff:ffff:ffff |
| 106 | 2c19:dd:d669::/48 | 2c19:dd:d669:ffff:ffff:ffff:ffff:ffff |
| 107 | 2c19:dd:d66a::/48 | 2c19:dd:d66a:ffff:ffff:ffff:ffff:ffff |
| 108 | 2c19:dd:d66b::/48 | 2c19:dd:d66b:ffff:ffff:ffff:ffff:ffff |
| 109 | 2c19:dd:d66c::/48 | 2c19:dd:d66c:ffff:ffff:ffff:ffff:ffff |
| 110 | 2c19:dd:d66d::/48 | 2c19:dd:d66d:ffff:ffff:ffff:ffff:ffff |
| 111 | 2c19:dd:d66e::/48 | 2c19:dd:d66e:ffff:ffff:ffff:ffff:ffff |
| 112 | 2c19:dd:d66f::/48 | 2c19:dd:d66f:ffff:ffff:ffff:ffff:ffff |
| 113 | 2c19:dd:d670::/48 | 2c19:dd:d670:ffff:ffff:ffff:ffff:ffff |
| 114 | 2c19:dd:d671::/48 | 2c19:dd:d671:ffff:ffff:ffff:ffff:ffff |
| 115 | 2c19:dd:d672::/48 | 2c19:dd:d672:ffff:ffff:ffff:ffff:ffff |
| 116 | 2c19:dd:d673::/48 | 2c19:dd:d673:ffff:ffff:ffff:ffff:ffff |
| 117 | 2c19:dd:d674::/48 | 2c19:dd:d674:ffff:ffff:ffff:ffff:ffff |
| 118 | 2c19:dd:d675::/48 | 2c19:dd:d675:ffff:ffff:ffff:ffff:ffff |
| 119 | 2c19:dd:d676::/48 | 2c19:dd:d676:ffff:ffff:ffff:ffff:ffff |
| 120 | 2c19:dd:d677::/48 | 2c19:dd:d677:ffff:ffff:ffff:ffff:ffff |
| 121 | 2c19:dd:d678::/48 | 2c19:dd:d678:ffff:ffff:ffff:ffff:ffff |
| 122 | 2c19:dd:d679::/48 | 2c19:dd:d679:ffff:ffff:ffff:ffff:ffff |
| 123 | 2c19:dd:d67a::/48 | 2c19:dd:d67a:ffff:ffff:ffff:ffff:ffff |
| 124 | 2c19:dd:d67b::/48 | 2c19:dd:d67b:ffff:ffff:ffff:ffff:ffff |
| 125 | 2c19:dd:d67c::/48 | 2c19:dd:d67c:ffff:ffff:ffff:ffff:ffff |
| 126 | 2c19:dd:d67d::/48 | 2c19:dd:d67d:ffff:ffff:ffff:ffff:ffff |
| 127 | 2c19:dd:d67e::/48 | 2c19:dd:d67e:ffff:ffff:ffff:ffff:ffff |
| 128 | 2c19:dd:d67f::/48 | 2c19:dd:d67f:ffff:ffff:ffff:ffff:ffff |
| 129 | 2c19:dd:d680::/48 | 2c19:dd:d680:ffff:ffff:ffff:ffff:ffff |
| 130 | 2c19:dd:d681::/48 | 2c19:dd:d681:ffff:ffff:ffff:ffff:ffff |
| 131 | 2c19:dd:d682::/48 | 2c19:dd:d682:ffff:ffff:ffff:ffff:ffff |
| 132 | 2c19:dd:d683::/48 | 2c19:dd:d683:ffff:ffff:ffff:ffff:ffff |
| 133 | 2c19:dd:d684::/48 | 2c19:dd:d684:ffff:ffff:ffff:ffff:ffff |
| 134 | 2c19:dd:d685::/48 | 2c19:dd:d685:ffff:ffff:ffff:ffff:ffff |
| 135 | 2c19:dd:d686::/48 | 2c19:dd:d686:ffff:ffff:ffff:ffff:ffff |
| 136 | 2c19:dd:d687::/48 | 2c19:dd:d687:ffff:ffff:ffff:ffff:ffff |
| 137 | 2c19:dd:d688::/48 | 2c19:dd:d688:ffff:ffff:ffff:ffff:ffff |
| 138 | 2c19:dd:d689::/48 | 2c19:dd:d689:ffff:ffff:ffff:ffff:ffff |
| 139 | 2c19:dd:d68a::/48 | 2c19:dd:d68a:ffff:ffff:ffff:ffff:ffff |
| 140 | 2c19:dd:d68b::/48 | 2c19:dd:d68b:ffff:ffff:ffff:ffff:ffff |
| 141 | 2c19:dd:d68c::/48 | 2c19:dd:d68c:ffff:ffff:ffff:ffff:ffff |
| 142 | 2c19:dd:d68d::/48 | 2c19:dd:d68d:ffff:ffff:ffff:ffff:ffff |
| 143 | 2c19:dd:d68e::/48 | 2c19:dd:d68e:ffff:ffff:ffff:ffff:ffff |
| 144 | 2c19:dd:d68f::/48 | 2c19:dd:d68f:ffff:ffff:ffff:ffff:ffff |
| 145 | 2c19:dd:d690::/48 | 2c19:dd:d690:ffff:ffff:ffff:ffff:ffff |
| 146 | 2c19:dd:d691::/48 | 2c19:dd:d691:ffff:ffff:ffff:ffff:ffff |
| 147 | 2c19:dd:d692::/48 | 2c19:dd:d692:ffff:ffff:ffff:ffff:ffff |
| 148 | 2c19:dd:d693::/48 | 2c19:dd:d693:ffff:ffff:ffff:ffff:ffff |
| 149 | 2c19:dd:d694::/48 | 2c19:dd:d694:ffff:ffff:ffff:ffff:ffff |
| 150 | 2c19:dd:d695::/48 | 2c19:dd:d695:ffff:ffff:ffff:ffff:ffff |
| 151 | 2c19:dd:d696::/48 | 2c19:dd:d696:ffff:ffff:ffff:ffff:ffff |
| 152 | 2c19:dd:d697::/48 | 2c19:dd:d697:ffff:ffff:ffff:ffff:ffff |
| 153 | 2c19:dd:d698::/48 | 2c19:dd:d698:ffff:ffff:ffff:ffff:ffff |
| 154 | 2c19:dd:d699::/48 | 2c19:dd:d699:ffff:ffff:ffff:ffff:ffff |
| 155 | 2c19:dd:d69a::/48 | 2c19:dd:d69a:ffff:ffff:ffff:ffff:ffff |
| 156 | 2c19:dd:d69b::/48 | 2c19:dd:d69b:ffff:ffff:ffff:ffff:ffff |
| 157 | 2c19:dd:d69c::/48 | 2c19:dd:d69c:ffff:ffff:ffff:ffff:ffff |
| 158 | 2c19:dd:d69d::/48 | 2c19:dd:d69d:ffff:ffff:ffff:ffff:ffff |
| 159 | 2c19:dd:d69e::/48 | 2c19:dd:d69e:ffff:ffff:ffff:ffff:ffff |
| 160 | 2c19:dd:d69f::/48 | 2c19:dd:d69f:ffff:ffff:ffff:ffff:ffff |
| 161 | 2c19:dd:d6a0::/48 | 2c19:dd:d6a0:ffff:ffff:ffff:ffff:ffff |
| 162 | 2c19:dd:d6a1::/48 | 2c19:dd:d6a1:ffff:ffff:ffff:ffff:ffff |
| 163 | 2c19:dd:d6a2::/48 | 2c19:dd:d6a2:ffff:ffff:ffff:ffff:ffff |
| 164 | 2c19:dd:d6a3::/48 | 2c19:dd:d6a3:ffff:ffff:ffff:ffff:ffff |
| 165 | 2c19:dd:d6a4::/48 | 2c19:dd:d6a4:ffff:ffff:ffff:ffff:ffff |
| 166 | 2c19:dd:d6a5::/48 | 2c19:dd:d6a5:ffff:ffff:ffff:ffff:ffff |
| 167 | 2c19:dd:d6a6::/48 | 2c19:dd:d6a6:ffff:ffff:ffff:ffff:ffff |
| 168 | 2c19:dd:d6a7::/48 | 2c19:dd:d6a7:ffff:ffff:ffff:ffff:ffff |
| 169 | 2c19:dd:d6a8::/48 | 2c19:dd:d6a8:ffff:ffff:ffff:ffff:ffff |
| 170 | 2c19:dd:d6a9::/48 | 2c19:dd:d6a9:ffff:ffff:ffff:ffff:ffff |
| 171 | 2c19:dd:d6aa::/48 | 2c19:dd:d6aa:ffff:ffff:ffff:ffff:ffff |
| 172 | 2c19:dd:d6ab::/48 | 2c19:dd:d6ab:ffff:ffff:ffff:ffff:ffff |
| 173 | 2c19:dd:d6ac::/48 | 2c19:dd:d6ac:ffff:ffff:ffff:ffff:ffff |
| 174 | 2c19:dd:d6ad::/48 | 2c19:dd:d6ad:ffff:ffff:ffff:ffff:ffff |
| 175 | 2c19:dd:d6ae::/48 | 2c19:dd:d6ae:ffff:ffff:ffff:ffff:ffff |
| 176 | 2c19:dd:d6af::/48 | 2c19:dd:d6af:ffff:ffff:ffff:ffff:ffff |
| 177 | 2c19:dd:d6b0::/48 | 2c19:dd:d6b0:ffff:ffff:ffff:ffff:ffff |
| 178 | 2c19:dd:d6b1::/48 | 2c19:dd:d6b1:ffff:ffff:ffff:ffff:ffff |
| 179 | 2c19:dd:d6b2::/48 | 2c19:dd:d6b2:ffff:ffff:ffff:ffff:ffff |
| 180 | 2c19:dd:d6b3::/48 | 2c19:dd:d6b3:ffff:ffff:ffff:ffff:ffff |
| 181 | 2c19:dd:d6b4::/48 | 2c19:dd:d6b4:ffff:ffff:ffff:ffff:ffff |
| 182 | 2c19:dd:d6b5::/48 | 2c19:dd:d6b5:ffff:ffff:ffff:ffff:ffff |
| 183 | 2c19:dd:d6b6::/48 | 2c19:dd:d6b6:ffff:ffff:ffff:ffff:ffff |
| 184 | 2c19:dd:d6b7::/48 | 2c19:dd:d6b7:ffff:ffff:ffff:ffff:ffff |
| 185 | 2c19:dd:d6b8::/48 | 2c19:dd:d6b8:ffff:ffff:ffff:ffff:ffff |
| 186 | 2c19:dd:d6b9::/48 | 2c19:dd:d6b9:ffff:ffff:ffff:ffff:ffff |
| 187 | 2c19:dd:d6ba::/48 | 2c19:dd:d6ba:ffff:ffff:ffff:ffff:ffff |
| 188 | 2c19:dd:d6bb::/48 | 2c19:dd:d6bb:ffff:ffff:ffff:ffff:ffff |
| 189 | 2c19:dd:d6bc::/48 | 2c19:dd:d6bc:ffff:ffff:ffff:ffff:ffff |
| 190 | 2c19:dd:d6bd::/48 | 2c19:dd:d6bd:ffff:ffff:ffff:ffff:ffff |
| 191 | 2c19:dd:d6be::/48 | 2c19:dd:d6be:ffff:ffff:ffff:ffff:ffff |
| 192 | 2c19:dd:d6bf::/48 | 2c19:dd:d6bf:ffff:ffff:ffff:ffff:ffff |
| 193 | 2c19:dd:d6c0::/48 | 2c19:dd:d6c0:ffff:ffff:ffff:ffff:ffff |
| 194 | 2c19:dd:d6c1::/48 | 2c19:dd:d6c1:ffff:ffff:ffff:ffff:ffff |
| 195 | 2c19:dd:d6c2::/48 | 2c19:dd:d6c2:ffff:ffff:ffff:ffff:ffff |
| 196 | 2c19:dd:d6c3::/48 | 2c19:dd:d6c3:ffff:ffff:ffff:ffff:ffff |
| 197 | 2c19:dd:d6c4::/48 | 2c19:dd:d6c4:ffff:ffff:ffff:ffff:ffff |
| 198 | 2c19:dd:d6c5::/48 | 2c19:dd:d6c5:ffff:ffff:ffff:ffff:ffff |
| 199 | 2c19:dd:d6c6::/48 | 2c19:dd:d6c6:ffff:ffff:ffff:ffff:ffff |
| 200 | 2c19:dd:d6c7::/48 | 2c19:dd:d6c7:ffff:ffff:ffff:ffff:ffff |
| 201 | 2c19:dd:d6c8::/48 | 2c19:dd:d6c8:ffff:ffff:ffff:ffff:ffff |
| 202 | 2c19:dd:d6c9::/48 | 2c19:dd:d6c9:ffff:ffff:ffff:ffff:ffff |
| 203 | 2c19:dd:d6ca::/48 | 2c19:dd:d6ca:ffff:ffff:ffff:ffff:ffff |
| 204 | 2c19:dd:d6cb::/48 | 2c19:dd:d6cb:ffff:ffff:ffff:ffff:ffff |
| 205 | 2c19:dd:d6cc::/48 | 2c19:dd:d6cc:ffff:ffff:ffff:ffff:ffff |
| 206 | 2c19:dd:d6cd::/48 | 2c19:dd:d6cd:ffff:ffff:ffff:ffff:ffff |
| 207 | 2c19:dd:d6ce::/48 | 2c19:dd:d6ce:ffff:ffff:ffff:ffff:ffff |
| 208 | 2c19:dd:d6cf::/48 | 2c19:dd:d6cf:ffff:ffff:ffff:ffff:ffff |
| 209 | 2c19:dd:d6d0::/48 | 2c19:dd:d6d0:ffff:ffff:ffff:ffff:ffff |
| 210 | 2c19:dd:d6d1::/48 | 2c19:dd:d6d1:ffff:ffff:ffff:ffff:ffff |
| 211 | 2c19:dd:d6d2::/48 | 2c19:dd:d6d2:ffff:ffff:ffff:ffff:ffff |
| 212 | 2c19:dd:d6d3::/48 | 2c19:dd:d6d3:ffff:ffff:ffff:ffff:ffff |
| 213 | 2c19:dd:d6d4::/48 | 2c19:dd:d6d4:ffff:ffff:ffff:ffff:ffff |
| 214 | 2c19:dd:d6d5::/48 | 2c19:dd:d6d5:ffff:ffff:ffff:ffff:ffff |
| 215 | 2c19:dd:d6d6::/48 | 2c19:dd:d6d6:ffff:ffff:ffff:ffff:ffff |
| 216 | 2c19:dd:d6d7::/48 | 2c19:dd:d6d7:ffff:ffff:ffff:ffff:ffff |
| 217 | 2c19:dd:d6d8::/48 | 2c19:dd:d6d8:ffff:ffff:ffff:ffff:ffff |
| 218 | 2c19:dd:d6d9::/48 | 2c19:dd:d6d9:ffff:ffff:ffff:ffff:ffff |
| 219 | 2c19:dd:d6da::/48 | 2c19:dd:d6da:ffff:ffff:ffff:ffff:ffff |
| 220 | 2c19:dd:d6db::/48 | 2c19:dd:d6db:ffff:ffff:ffff:ffff:ffff |
| 221 | 2c19:dd:d6dc::/48 | 2c19:dd:d6dc:ffff:ffff:ffff:ffff:ffff |
| 222 | 2c19:dd:d6dd::/48 | 2c19:dd:d6dd:ffff:ffff:ffff:ffff:ffff |
| 223 | 2c19:dd:d6de::/48 | 2c19:dd:d6de:ffff:ffff:ffff:ffff:ffff |
| 224 | 2c19:dd:d6df::/48 | 2c19:dd:d6df:ffff:ffff:ffff:ffff:ffff |
| 225 | 2c19:dd:d6e0::/48 | 2c19:dd:d6e0:ffff:ffff:ffff:ffff:ffff |
| 226 | 2c19:dd:d6e1::/48 | 2c19:dd:d6e1:ffff:ffff:ffff:ffff:ffff |
| 227 | 2c19:dd:d6e2::/48 | 2c19:dd:d6e2:ffff:ffff:ffff:ffff:ffff |
| 228 | 2c19:dd:d6e3::/48 | 2c19:dd:d6e3:ffff:ffff:ffff:ffff:ffff |
| 229 | 2c19:dd:d6e4::/48 | 2c19:dd:d6e4:ffff:ffff:ffff:ffff:ffff |
| 230 | 2c19:dd:d6e5::/48 | 2c19:dd:d6e5:ffff:ffff:ffff:ffff:ffff |
| 231 | 2c19:dd:d6e6::/48 | 2c19:dd:d6e6:ffff:ffff:ffff:ffff:ffff |
| 232 | 2c19:dd:d6e7::/48 | 2c19:dd:d6e7:ffff:ffff:ffff:ffff:ffff |
| 233 | 2c19:dd:d6e8::/48 | 2c19:dd:d6e8:ffff:ffff:ffff:ffff:ffff |
| 234 | 2c19:dd:d6e9::/48 | 2c19:dd:d6e9:ffff:ffff:ffff:ffff:ffff |
| 235 | 2c19:dd:d6ea::/48 | 2c19:dd:d6ea:ffff:ffff:ffff:ffff:ffff |
| 236 | 2c19:dd:d6eb::/48 | 2c19:dd:d6eb:ffff:ffff:ffff:ffff:ffff |
| 237 | 2c19:dd:d6ec::/48 | 2c19:dd:d6ec:ffff:ffff:ffff:ffff:ffff |
| 238 | 2c19:dd:d6ed::/48 | 2c19:dd:d6ed:ffff:ffff:ffff:ffff:ffff |
| 239 | 2c19:dd:d6ee::/48 | 2c19:dd:d6ee:ffff:ffff:ffff:ffff:ffff |
| 240 | 2c19:dd:d6ef::/48 | 2c19:dd:d6ef:ffff:ffff:ffff:ffff:ffff |
| 241 | 2c19:dd:d6f0::/48 | 2c19:dd:d6f0:ffff:ffff:ffff:ffff:ffff |
| 242 | 2c19:dd:d6f1::/48 | 2c19:dd:d6f1:ffff:ffff:ffff:ffff:ffff |
| 243 | 2c19:dd:d6f2::/48 | 2c19:dd:d6f2:ffff:ffff:ffff:ffff:ffff |
| 244 | 2c19:dd:d6f3::/48 | 2c19:dd:d6f3:ffff:ffff:ffff:ffff:ffff |
| 245 | 2c19:dd:d6f4::/48 | 2c19:dd:d6f4:ffff:ffff:ffff:ffff:ffff |
| 246 | 2c19:dd:d6f5::/48 | 2c19:dd:d6f5:ffff:ffff:ffff:ffff:ffff |
| 247 | 2c19:dd:d6f6::/48 | 2c19:dd:d6f6:ffff:ffff:ffff:ffff:ffff |
| 248 | 2c19:dd:d6f7::/48 | 2c19:dd:d6f7:ffff:ffff:ffff:ffff:ffff |
| 249 | 2c19:dd:d6f8::/48 | 2c19:dd:d6f8:ffff:ffff:ffff:ffff:ffff |
| 250 | 2c19:dd:d6f9::/48 | 2c19:dd:d6f9:ffff:ffff:ffff:ffff:ffff |
| 251 | 2c19:dd:d6fa::/48 | 2c19:dd:d6fa:ffff:ffff:ffff:ffff:ffff |
| 252 | 2c19:dd:d6fb::/48 | 2c19:dd:d6fb:ffff:ffff:ffff:ffff:ffff |
| 253 | 2c19:dd:d6fc::/48 | 2c19:dd:d6fc:ffff:ffff:ffff:ffff:ffff |
| 254 | 2c19:dd:d6fd::/48 | 2c19:dd:d6fd:ffff:ffff:ffff:ffff:ffff |
| 255 | 2c19:dd:d6fe::/48 | 2c19:dd:d6fe:ffff:ffff:ffff:ffff:ffff |
| 256 | 2c19:dd:d6ff::/48 | 2c19:dd:d6ff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |